Bug 216389 - My dual monitor setup was working in FC5 and the configuration now causes FC6 to crash and reboot.
My dual monitor setup was working in FC5 and the configuration now causes FC6...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-20 01:25 EST by Dale Muhlethaler
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 10:50:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This configuration worked in FC5 and now crashes and forces a reboot when any number or activites are performed. (2.24 KB, application/octet-stream)
2006-11-20 01:25 EST, Dale Muhlethaler
no flags Details
Requested X server log file (1 of 2) (51.68 KB, text/plain)
2006-11-20 14:56 EST, Dale Muhlethaler
no flags Details
This is X server log file (2 of 2). (51.68 KB, application/octet-stream)
2006-11-20 14:58 EST, Dale Muhlethaler
no flags Details

  None (edit)
Description Dale Muhlethaler 2006-11-20 01:25:58 EST
Description of problem:  Tried to setup Dual Head monitor just as it was setup
in FC5 just prior to the introduction of FC6.  See the attached copy of
xorg.conf.DualHeadTemplete (Name Changed but not content) that *was* working in
FC5.  The current results with dual monitors is that just activiting FireFox
will cause the screen to lock up within two seconds and cause the screen to go
black and reboot and I then have to relogon.  I can also crash the screen if I
open the terminal and then try to drag it to the left monitor.
I have also crashed the screen by just activating a the Marjon (sp?) game.

By going into the display screen and turning off the dual head and rebooting,
the system seems to behave corectly for a single display system.

My system is setup as a dual boot machine with Grub used to switch between FC6
and MS XP Home.  The dual monitors work in XP mode.  And they worked before I
did the clean install of FC6.  Each day I have been running the Yum update
programs with no problems (Currently at kernael 2.6.18-1.2849).   I had been
using the Gnome desktop display and so today I loaded the KDE desktop and I got
the exact same results when I tried to setup the dual head configuration.   I
have not been able to find any threads that talk about this problem and offer
any solutions.

My PIII 686 system has the Geforce 2 MX/MX 400 (32 MB ) card in the AGP slot and
Bios has it designated as primary and I have 3Dfx Interactive (Diamond) with 16
MB memory in a pci slot.  The primary monitor (Monitor0) is an IBM G96 and the
secondary monitor (Monitor1) is a HP D2825.

Bottem line, something has been changed from FC5 to FC6 so that my Old
configuration will not work now.  


Version-Release number of selected component (if applicable):


How reproducible: Every time I reboot and do either of the three items listed
earlier the screen will lock up, go black and reboot.


Steps to Reproduce:
1.  Open FireFox browser and within 2 seconds the screen locks, goes to black
and reboots.
2. Or just logon, open Terminal screen and drag it from Monitor0 to Monitor1 and
the terminal image gets only half way across (between the two screens) and the
screen locks, goes to black and reboots. 
3.
  
Actual results:See above 1 and 2


Expected results: By now, with all my trial a error testing, it is 100%
repeatable. Thats what software is good at, being repeatable.


Additional info: I have not loaded any nVidia drivers (I have just used what
ever was supplied with the FC6 isos.
Comment 1 Dale Muhlethaler 2006-11-20 01:25:58 EST
Created attachment 141620 [details]
This configuration worked in FC5 and now crashes and forces a reboot when any number or activites are performed.
Comment 2 Matěj Cepl 2006-11-20 09:41:33 EST
Thanks for the bug report.  We have reviewed the information you
have provided above, and there is some additional information we
require that will be helpful in our diagnosis of this issue.

Please attach your X server log file (/var/log/Xorg.*.log) to the bug report
as individual uncompressed file attachments using the bugzilla file attachment
link below.

We will review this issue again once you've had a chance to attach
this information.

Thanks in advance.
Comment 3 Dale Muhlethaler 2006-11-20 14:57:00 EST
Created attachment 141682 [details]
Requested X server log file (1 of 2)

This log probably does not reflect the dual monitor setup.
Comment 4 Dale Muhlethaler 2006-11-20 14:58:43 EST
Created attachment 141683 [details]
This is X server log file (2 of 2).
Comment 5 Dale Muhlethaler 2006-12-15 18:55:57 EST
12-15-2006  UPDATE.

Each day I have been installing all the updates and security fixes that apply to
my particular setup.  After 3 security fixes were updated today I tried again to
run the dual head configuration.  THIS TIME IT SEEMS TO BE WORKING!!!!

Hope someone can zero in on the fix and document it for others.
Comment 6 Matěj Cepl 2006-12-19 10:50:02 EST
Closed per reporter's request.

Note You need to log in before you can comment on or make changes to this bug.